Skip to content
Ona Docs

ListEnvironmentUsageRecords

POST/gitpod.v1.UsageService/ListEnvironmentUsageRecords

Lists completed environment runtime records within a specified date range.

Returns a list of environment runtime records that were completed within the specified date range. Records of currently running environments are not included.

Use this method to:

  • View environment runtime records
  • Filter by project
  • Create custom usage reports

Example

filter:
  projectId: "d2c94c27-3b76-4a42-b88c-95a85e392c68"
  dateRange:
    startTime: "2024-01-01T00:00:00Z"
    endTime: "2024-01-02T00:00:00Z"
pagination:
  pageSize: 100
Query ParametersExpand Collapse
token: optional string
pageSize: optional number
maximum100
minimum0
Body ParametersJSONExpand Collapse
filter: optional object { dateRange, projectId }

Filter options.

dateRange: object { endTime, startTime }

Date range to query runtime records within.

endTime: string

End time of the date range (exclusive).

formatdate-time
startTime: string

Start time of the date range (inclusive).

formatdate-time
projectId: optional string

Optional project ID to filter runtime records by.

ReturnsExpand Collapse
records: optional array of EnvironmentUsageRecord { id, createdAt, environmentClassId, 5 more }

List of environment runtime records.

id: optional string

Environment usage record ID.

createdAt: optional string

Time when the environment was created.

formatdate-time
environmentClassId: optional string

Environment class ID associated with the record.

environmentId: optional string

Environment ID associated with the record.

projectId: optional string

Project ID associated with the environment (if available).

runnerId: optional string

Runner ID associated with the environment.

stoppedAt: optional string

Time when the environment was stopped.

formatdate-time
userId: optional string

User ID is the ID of the user who created the environment associated with the record.

ListEnvironmentUsageRecords

curl https://app.gitpod.io/api/gitpod.v1.UsageService/ListEnvironmentUsageRecords \
    -H 'Content-Type: application/json' \
    -H "Authorization: Bearer $GITPOD_API_KEY" \
    -d '{}'
{
  "pagination": {
    "nextToken": "nextToken"
  },
  "records": [
    {
      "id": "id",
      "createdAt": "2019-12-27T18:11:19.117Z",
      "environmentClassId": "environmentClassId",
      "environmentId": "environmentId",
      "projectId": "projectId",
      "runnerId": "runnerId",
      "stoppedAt": "2019-12-27T18:11:19.117Z",
      "userId": "userId"
    }
  ]
}
Returns Examples
{
  "pagination": {
    "nextToken": "nextToken"
  },
  "records": [
    {
      "id": "id",
      "createdAt": "2019-12-27T18:11:19.117Z",
      "environmentClassId": "environmentClassId",
      "environmentId": "environmentId",
      "projectId": "projectId",
      "runnerId": "runnerId",
      "stoppedAt": "2019-12-27T18:11:19.117Z",
      "userId": "userId"
    }
  ]
}